import logging

# System Blue connection configuration
SB_INTERFACE = "eth0" # interface to which System Blue is connected
SB_IP = "192.168.3.2" # static IP address of System Blue

# database configuration
DB_USER = "MySqlUserName"
DB_PASS = "MySqlPassword"
DB_HOST = "localhost"
DB_PORT = "3306" # Normally 3306
DB_NAME = "BoSignals"

# Blitzortung configuration
BO_USER = "BlitzortungUserName"
BO_PASS = "BlitzortungPassword"
BO_STATION = "9999" # my Blitzortung station ID
BO_REGION = [1] # comma separated list of regions the BO_STATION belongs to, maximum [1, 2, 3, 4, 5]
                # region 1 is Europe
                # region 2 is Oceania
                # region 3 is North America
                # region 4 is Asia
                # region 5 is South America

# destination path to which the images are generated and source path for the FTP transfer to the web-server
FTP_LOCAL_PATH = "/var/www/html/Blitzortung"

# destination path for the book keeping files of boGetSignalsFromBlitzortung.py and boGetStrokesFromBlitzortung.py
BOOK_KEEPING_PATH = "/home/public/Blitzortung"

# list of immages to be generated
# for help start ./boPng.php --help
IMAGES = [ \
    "-i7 -t1d -c0 -w320 -h205", # map channel strokes, channel 0 (1A), limited to the last day
    "-i7 -t1d -c1 -w320 -h205", # map channel strokes, channel 1 (1B), limited to the last day
    "-i7 -t1d -c2 -w320 -h205", # map channel strokes, channel 2 (1C), limited to the last day
    "-i7 -t1d -c3 -w320 -h205", # map channel strokes, channel 3 (2A), limited to the last day
    "-i7 -t1d", # map channel strokes, all channels, limited to the last day
    "-i8",
    "-i1 -t1h", # strokes(channel)/num(strokes), limited to the last hour
    "-i2 -t1h", # strokes(channel)/signals(channel), limited to the last hour
    "-i3 -t1h", # signals(channel)-strokes(channel), limited to the last hour
    "-i4 -t1h", # strokes(channel), limited to the last hour
    "-i1 -t1d", # strokes(channel)/num(strokes), limited to the last day
    "-i2 -t1d", # strokes(channel)/signals(channel), limited to the last day
    "-i3 -t1d", # signals(channel)-strokes(channel), limited to the last day
    "-i4 -t1d", # strokes(channel), limited to the last day
    "-i1 -t1w", # strokes(channel)/num(strokes), limited to the last week
    "-i2 -t1w", # strokes(channel)/signals(channel), limited to the last week
    "-i3 -t1w", # signals(channel)-strokes(channel), limited to the last week
    "-i4 -t1w", # strokes(channel), limited to the last week
    "-i1", # strokes(channel)/num(strokes), since the start of the recording
    "-i2", # strokes(channel)/signals(channel), since the start of the recording
    "-i3", # signals(channel)-strokes(channel), since the start of the recording
    "-i4", # strokes(channel), since the start of the recording
    "-i6 -t1d", # strokes per distance per channel, limited to the last day
    "-i6", # strokes per distance per channel, since the start of the recording
    "-i5 -c0", # signals(channel), strokes(channel)/signals(channel), 24h, channel 0 (1A)
    "-i5 -c1", # signals(channel), strokes(channel)/signals(channel), 24h, channel 1 (1B)
    "-i5 -c2", # signals(channel), strokes(channel)/signals(channel), 24h, channel 2 (1C)
    "-i5 -c3", # signals(channel), strokes(channel)/signals(channel), 24h, channel 3 (2A)
]

# logger configuration
#LOGLEVEL = logging.CRITICAL
LOGLEVEL = logging.ERROR
#LOGLEVEL = logging.WARNING
#LOGLEVEL = logging.INFO
#LOGLEVEL = logging.DEBUG
